COMMENT =	portable, lightweight framework for the Objective-C language

DISTNAME =	objfw-1.0

SHARED_LIBS +=	objfw 0.0
SHARED_LIBS +=	objfwrt 0.0
SHARED_LIBS +=	objfwtls 0.0

CATEGORIES =	devel

HOMEPAGE =	https://objfw.nil.im/

MAINTAINER =	Jonathan Schleifer <js@nil.im>

# GPLv2 or GPLv3 or QPL
PERMIT_PACKAGE =	Yes

# uses pledge()
WANTLIB =		c c++abi crypto m pthread ssl

MASTER_SITES0 =		https://objfw.nil.im/downloads/
MASTER_SITES1 =		https://github.com/ObjFW/ObjFW/commit/

DISTFILES =		${DISTNAME}${EXTRACT_SUFX}:0

# From upstream, will be in next release.
PATCHFILES =		7ff93a7b2e81c8d60d373e23309bbf39f59fe2cb.patch:1
PATCH_DIST_STRIP =	-p1

COMPILER=		base-clang ports-clang

CONFIGURE_STYLE =	gnu

MAKE_FLAGS +=	OBJFW_LIB_MAJOR=${LIBobjfw_VERSION:R}
MAKE_FLAGS +=	OBJFW_LIB_MINOR=${LIBobjfw_VERSION:E}
MAKE_FLAGS +=	OBJFWRT_LIB_MAJOR=${LIBobjfwrt_VERSION:R}
MAKE_FLAGS +=	OBJFWRT_LIB_MINOR=${LIBobjfwrt_VERSION:E}
MAKE_FLAGS +=	OBJFWTLS_LIB_MAJOR=${LIBobjfwtls_VERSION:R}
MAKE_FLAGS +=	OBJFWTLS_LIB_MINOR=${LIBobjfwtls_VERSION:E}

.include <bsd.port.mk>
